.roboto-font01 {
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
}

.f_bold{
    font-weight: 800;
}

*{
    margin: 0;
    padding: 0;
    font-family: Roboto;
    font-weight: 400;
}

.flex-base{
    display: flex;
    height: 100vh;
}



.flex-col{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.flex-center{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.center{
    justify-content: center;
    align-items: center;
}

nav{
    width: 25%;
    display: flex;
    flex-direction: column;
}

.profile{
    border-bottom: solid 2px #d0d0d0;
    box-sizing: border-box;
    width: 100%;
    min-height: 10%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

h3{
    font-weight: 700;
    font-size: 1em;
}

.profile p {
    font-weight: 300;
    font-size: 0.8em;

}

nav img{
    align-self: center;
    width: 40px;
    height: auto;
    border-radius: 100%;
    border: solid 2px #d0d0d0;
}

.mini-perfil{
    display: flex;
    flex: wrap;
    margin-inline: 30px;
    gap:15px;
/*     margin-block: 1px; */
}

.mini-text{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.perf-icons{
    display: flex;
    flex: wrap;
    margin-inline: 30px;
    gap: 20px;
    color: gray;
}


.newchat{
    border-bottom: solid 2px #d0d0d0;
    box-sizing: border-box;
    width: 100%;
    min-height: 20%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.newchat button{
    color: white;
    font-size: 1em;
    font-weight: 500;
    background-color: #A491D2;
    border: none;
    padding-inline: 3rem;
    padding-block: 1rem;
    border-radius: 0.2rem;
    cursor: pointer;
}

.newchat button:hover{
    background-color: #c1aeef;
}

.chats{
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow-y: auto;
}

.mini-chats{
    display: flex;
    flex: wrap;
    margin-inline: 30px;
    gap:15px;
    /* margin-block: 15px; */
}

main{
    background-color:#eeeeee;
    border-left: solid 2px #d0d0d0;
    box-sizing: border-box;
    width: 75%;
}

/* Prueba de contenedor */
/* .caja{
    background-color: rgb(140, 146, 151);
    height: 50px;
    width: 50px;
    display: flex;
    justify-content: center;
} */

main img{
    width: 180px;
    height: auto;
    border-radius: 0.5rem;
    margin-bottom: 20px;
}

main h2{
    font-size: 2.1rem;
    align-items: center;
    margin-bottom: 5px;
}

main p {
    width: 380px;
    line-height: 1.2rem;
    text-align: center;
    font-size: 0.8rem;
}

.b-border{
    border-bottom: solid 2px #d0d0d0;
    box-sizing: border-box;
    width: 100%;
    min-height: 80px;
    display: flex;
    align-items: center;    
}